Last Comment Bug 420016 - [ta-LK] Firefox - Sri Lankan Tamil Localization
: [ta-LK] Firefox - Sri Lankan Tamil Localization
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: Registration & Management (show other bugs)
: unspecified
: All All
: -- enhancement (vote)
: ---
Assigned To: Localization Registration Bugs
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 20:37 PST by Sarves
Modified: 2011-04-11 22:17 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Tamil pack for firefox 3.0.2b (212.07 KB, application/x-xpinstall)
2008-02-28 23:33 PST, Kavitha.Loganathan
no flags Details
Sri Lankan Tamil version of Firefox 3.02b (212.07 KB, application/x-xpinstall)
2008-03-05 01:35 PST, Kavitha.Loganathan
no flags Details
Source code for Srilankan Tamil firefox 3.0b5 (412.95 KB, application/gzip)
2008-04-29 04:37 PDT, Kavitha.Loganathan
no flags Details
ta-LK language pack for Mozilla Firfox 3.0b5 (412.95 KB, application/x-gzip)
2008-05-23 03:39 PDT, Sarves
l10n: review-
Details
MOzilla Firefox 3 (193.70 KB, application/x-gzip)
2008-07-23 03:59 PDT, Sarves
no flags Details
Mozilla Firefox 3 (198.52 KB, application/x-gzip)
2008-07-23 14:07 PDT, Sarves
l10n: review-
Details
ta-LK-Firefox l10n source files (145.08 KB, application/x-gzip)
2008-10-21 01:23 PDT, Rohana Dasanayaka
no flags Details
ta-LK l10n source files for Firefox 3.1 (165.25 KB, application/x-gzip)
2009-01-26 22:37 PST, Rohana Dasanayaka
no flags Details
ta-LK l10n source files for Firefox 3.1 (168.01 KB, application/x-gzip)
2009-02-10 01:47 PST, Rohana Dasanayaka
no flags Details
diff -uwr for dom, netwerk, security/ui, and toolkit (90.44 KB, patch)
2009-02-10 04:32 PST, Axel Hecht [:Pike]
l10n: review-
Details | Diff | Splinter Review
ta-LK l10n sorce files for FF3.1 (166.96 KB, application/x-gzip)
2009-02-12 01:19 PST, Rohana Dasanayaka
gandalf: review-
Details
BOM-removed browser files (63.02 KB, application/x-gzip)
2009-03-05 01:41 PST, Rohana Dasanayaka
gandalf: review-
Details
Updated Browser files for ff31-taLK (62.98 KB, application/x-gzip)
2009-03-15 04:38 PDT, Rohana Dasanayaka
no flags Details
ta-LK Firefox localization (276.47 KB, application/octet-stream)
2009-04-01 07:27 PDT, Sarves
gandalf: review+
Details
ta-LK l10n sorce files for FF3.1 (168.32 KB, application/x-gzip)
2009-04-06 04:23 PDT, Rohana Dasanayaka
no flags Details

Description Sarves 2008-02-27 20:37:29 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.12) Gecko/20080201 Firefox/2.0.0.12
Build Identifier: Mozilla Firefox 3.02b 

We did Firefox 2.x localization earlier and now we are working on Mozilla Firefox 3.x 
Product : Firefox 3.x
Language : Sri Lankan Tamil
Contact name : Kengatharaiyer Sarveswaran (Sarves)
E-Mail : sarves@cse.mrt.ac.lk
Web page : www.lakapps.lk


Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 Sarves 2008-02-27 20:45:53 PST
the Language code is ta-LK
Comment 2 Kavitha.Loganathan 2008-02-28 23:33:10 PST
Created attachment 306459 [details]
Tamil pack for firefox 3.0.2b

Tamil pack for firefox 3.0.2b
Comment 3 Sarves 2008-03-03 04:06:12 PST
Kavitha, it you should say Sri Lankan Tamil instead of just Tamil.
Comment 4 Kavitha.Loganathan 2008-03-03 19:19:02 PST
(In reply to comment #3)
> Kavitha, it you should say Sri Lankan Tamil instead of just Tamil.
> 

(In reply to comment #2)
> Created an attachment (id=306459) [details]
> Sri Lankan Tamil pack for firefox 3.0.2b
> 
> Sri Lankan Tamil pack for firefox 3.0.2b
> 

Comment 5 Kavitha.Loganathan 2008-03-05 01:35:53 PST
Created attachment 307430 [details]
Sri Lankan Tamil version of Firefox 3.02b
Comment 6 Sarves 2008-03-07 21:18:08 PST
Thanks for uploading the pack with correct name.
BTW, hope that u received the link that I send. I have upload ed the Firefox xpi into AMO. 
https://addons.mozilla.org/en-US/firefox/addon/6651
Sarves
Comment 7 Kavitha.Loganathan 2008-03-16 21:26:27 PDT
Thanks Sarves
(In reply to comment #6)
> Thanks for uploading the pack with correct name.
> BTW, hope that u received the link that I send. I have upload ed the Firefox
> xpi into AMO. 
> https://addons.mozilla.org/en-US/firefox/addon/6651
> Sarves
> 

Thanks Sarves
Comment 8 Sarves 2008-04-02 08:16:26 PDT
Kavitha, 
Shall we upload the Firefox 3.0b5 language pack source files soon?
Comment 9 Kavitha.Loganathan 2008-04-29 04:37:04 PDT
Created attachment 318366 [details]
Source code for Srilankan Tamil firefox 3.0b5
Comment 10 Sarves 2008-05-04 02:36:17 PDT
thanks for uploading the Source, I will put a cvs bug
Comment 11 Sarves 2008-05-23 03:39:42 PDT
Created attachment 322232 [details]
ta-LK language pack for Mozilla Firfox 3.0b5 

ta-LK pack for Firefox 3.0b2 is available on AMO and it is downloaded almost 2000 times. Still no complients.
Therefore ta-LK is an important pack and we would like to see it with Firefox 3
Comment 12 Sarves 2008-05-23 05:00:29 PDT
Kavitha, I have filed a bug to get CVS, find it  :
https://bugzilla.mozilla.org/show_bug.cgi?id=435392
Comment 13 Axel Hecht [:Pike] 2008-06-06 12:39:17 PDT
Comment on attachment 322232 [details]
ta-LK language pack for Mozilla Firfox 3.0b5 

I actually looked at the source, and ran it through compare-locales, here's the output:

$ compare-locales ta-LK
ta-LK
  browser
    README.txt
        // add and localize this file
    chrome/browser
      metaData.dtd
          -image-height.label
          +image-size.label
          +image-type.label
          -image-width.label
          +link-ping.label
      preferences
        advanced.dtd
            ERROR: Unparsed content "
<!-- from version 3.05b  --->" at 3300-3330
        tabs.dtd
            -brandDTD
    installer/installer.inc
        // remove this file
    os2
      README.txt
          // add and localize this file
      readme.txt
          // remove this file
    readme.txt
        // remove this file
  extensions/reporter/chrome/reporterOverlay.dtd
      -reporterMenu.tooltip
      -reporterToolBarButton.title
  toolkit
    chrome
      global/viewSource.dtd
          +textEnlarge.commandkey3
          +textReduce.commandkey2
          +textReset.commandkey2
      mozapps
        downloads/downloads.properties
            +stateBlockedPolicy
        help/help.dtd
            +fullZoomEnlargeCmd.commandkey3
            +fullZoomReduceCmd.commandkey2
            +fullZoomResetCmd.commandkey2
        plugins/plugins.properties
            +pluginInstallation.close.accesskey
            +pluginInstallation.close.label
            +pluginInstallation.restart.accesskey
            +pluginInstallation.restart.label
      places/places.properties
          -bookmarksBackupFilename
          -bookmarksBackupTitle
          -restoreFormatError
          -restoreParseError
    installer/unix/install.it
        // remove this file
ta-LK:
errors: 1
missing: 14
keys: 892
unchanged: 4300
changed: 775
obsolete: 9
15% of entries changed


15% is really little :-/.

Find out more about compare-locales on http://developer.mozilla.org/en/docs/Compare-locales.
Comment 14 Sarves 2008-07-23 03:59:49 PDT
Created attachment 330912 [details]
MOzilla Firefox 3

Here is the compare-locale output. We are working on further..

ta-LK:
{'missingFiles': {}, 'obsoleteFiles': {}, 'obsolete': {}, 'missing': {}}
{'changed': 3963,
 'keys': 900,
 'missing': {'total': 0, 'toolkit': 0, 'browser': 0},
 'missingFiles': {'total': 0, 'toolkit': 0, 'browser': 0},
 'obsolete': {'total': 0, 'toolkit': 0, 'browser': 0},
 'obsoleteFiles': {'total': 0, 'toolkit': 0, 'browser': 0},
 'tested': ['browser', 'toolkit'],
 'unchanged': 1056}
78% of entries changed
Comment 15 Sarves 2008-07-23 04:02:28 PDT
Hello Axel, 

Plz have a look.
Comment 16 Axel Hecht [:Pike] 2008-07-23 04:50:12 PDT
Comment on attachment 330912 [details]
MOzilla Firefox 3

Please set the review box to '?' to request review, '+' is denoting a positive review while '-' is denoting a negative one. Enter my bugmail as requestee when doing so, too.

Unsetting the review flag because I can't request on your behalf.
Comment 17 Sarves 2008-07-23 14:07:01 PDT
Created attachment 330995 [details]
Mozilla Firefox 3

Here is the compare-locale output

ta-LK:
{'missingFiles': {}, 'obsoleteFiles': {}, 'obsolete': {}, 'missing': {}}
{'changed': 4014,
 'keys': 900,
 'missing': {'total': 0, 'toolkit': 0, 'browser': 0},
 'missingFiles': {'total': 0, 'toolkit': 0, 'browser': 0},
 'obsolete': {'total': 0, 'toolkit': 0, 'browser': 0},
 'obsoleteFiles': {'total': 0, 'toolkit': 0, 'browser': 0},
 'tested': ['browser', 'toolkit'],
 'unchanged': 1005}
79% of entries changed
Comment 18 Sarves 2008-07-23 14:09:56 PDT
(In reply to comment #16)
> (From update of attachment 330912 [details])
> Please set the review box to '?' to request review, '+' is denoting a positive
> review while '-' is denoting a negative one. Enter my bugmail as requestee when
> doing so, too.
> 
> Unsetting the review flag because I can't request on your behalf.
> 
Sorry Alex. Hope that I have done this time. Plz have a look.

Comment 19 Sarves 2008-08-03 09:56:20 PDT
Hello Alex,

Hope that we can opt-in for FF3.1. :-)

Sarves
Comment 20 Sarves 2008-08-04 03:31:13 PDT
Why whats wrong? Someone has disabled the wanted‑firefox3.1 flag. 
Cant we opt-in for FF3.1? :(
What should we do for that?
We would really like to opt-in and hope to listen a positive response soon.

/Sarves
Comment 21 Axel Hecht [:Pike] 2008-08-04 03:42:10 PDT
Sarves, I doubt that fx3.1 is really what you want. That's the next major release. The current minor updates and release vehicle for new locales on fx3 are fx3.0.x releases.

Not that anybody really pays attention to wanted flags on localizations anyway, so whichever that flag turns out to be doesn't really matter that much.
Comment 22 Gen Kanai [:gen] 2008-08-04 03:55:09 PDT
(In reply to comment #20)
> We would really like to opt-in and hope to listen a positive response soon.

Sarves- please accept my apologies for the confusion.  I was mistaken to select 3.1.  In fact, with some effort on both your part and Mozilla's part, there is a better chance to ship ta-LK in the 3.0.x time frame (this fall) vs. 3.1 which is planned for the end of 2008.  We are assuming you would prefer to ship sooner than later.

Let us wait for the review of your most recent builds and then take steps to finalize the entries.
Comment 23 Sarves 2008-08-04 07:07:46 PDT
Thanks Alex and Gen...
Its ok Gen, no worries.
Yep we would like to ship as soon as possible :-)
Comment 24 Sarves 2008-08-16 14:16:44 PDT
Hope that we can join with next Firefox 3.0.x :-) 
We are working on further. But the percentage seems not ticking. We do prepare the glossary parallel with this work. Thats this work delays a bit.


Comment 25 Sarves 2008-09-02 14:04:38 PDT
Sorry Axel, 
Few times I have named you as 'Alex' here in previous discussions...
Comment 26 Axel Hecht [:Pike] 2008-09-05 09:21:29 PDT
Comment on attachment 330995 [details]
Mozilla Firefox 3

This is a good start, but we'll need to do more work here.

The current stats with an up-to-date compare-locales look like this

ta-LK:
errors: 8
missing: 1
keys: 895
unchanged: 3435
changed: 1638
obsolete: 1
32% of entries changed

Sarves, from your output it looks like you've used an old version, but that shouldn't explain all of the difference. Did you attach the right tree?

Either way, could you grab the latest version on http://developer.mozilla.org/en/Compare-locales and check again locally?
Comment 27 Sarves 2008-09-07 02:26:40 PDT
oh :-(
something went wrong somewhere... 
I think I followed the correct procedure... but...
Ok, let me try once again...
Thanks a lot Axel
Comment 28 Rohana Dasanayaka 2008-10-21 01:23:32 PDT
Created attachment 344040 [details]
ta-LK-Firefox l10n source files

Sarves,

These are the l10n source files for Firefox (ta-LK). The errors/obsoletes, that Axel noted above, were removed and prepared with latest string/file changes. You may use these files to do string translation further. The locally-run compare-locale gave me the following result finally.

ta-LKnew/:
keys: 871
unchanged: 3436
changed: 1584
31% of entries changed

hope, this will be useful to you.
Comment 29 Sarves 2008-10-21 20:13:09 PDT
Yes Rohana. Thanks. I will work in this... As I mentioned to you, when I check this it was more than 70%. I think I done it in wrong way. I will work with this.
Comment 30 Rohana Dasanayaka 2009-01-26 22:37:34 PST
Created attachment 358998 [details]
ta-LK l10n source files for Firefox 3.1

Axel,

These are the ta-LK l10n source files for Firefox 3.1. We kindly request l10n review for this. Thanks.
Comment 31 Sarves 2009-01-26 23:41:14 PST
Thanks Rohana! 
We continue with this revised build!
Comment 32 Rohana Dasanayaka 2009-02-10 01:47:48 PST
Created attachment 361486 [details]
ta-LK l10n source files for Firefox 3.1

Axel,

These are the latest ta-LK l10n source files for Firefox 3.1. We kindly request l10n review for this. Locally-run compare-locale gave me the following results. Thanks.

ff31-ta-LK:
keys: 927
unchanged: 1007
changed: 4120
80% of entries changed
Comment 33 Axel Hecht [:Pike] 2009-02-10 03:53:10 PST
This is a rather tricky review, I'll attach some patches to do that better. In particular, there are a bunch of changes to toolkit. Some of those are merely whitespace, i.e., windows vs unix line endings. We should fix those separately. But there are good changes in there, too. And bad ones. Details coming up.
Comment 34 Axel Hecht [:Pike] 2009-02-10 04:32:49 PST
Created attachment 361497 [details] [diff] [review]
diff -uwr for dom, netwerk, security/ui, and toolkit
Comment 35 Axel Hecht [:Pike] 2009-02-10 04:58:03 PST
Comment on attachment 361497 [details] [diff] [review]
diff -uwr for dom, netwerk, security/ui, and toolkit

Comments:

https://bugzilla.mozilla.org/attachment.cgi?id=361497&action=diff#releases/l10n-mozilla-1.9.1/ta-LK/dom/chrome/netError.dtd_sec2 shows some partially translated phrases.
https://bugzilla.mozilla.org/attachment.cgi?id=361497&action=diff#releases/l10n-mozilla-1.9.1/ta-LK/toolkit/chrome/global/dialog.properties_sec1 shows two new strings, which probably should stay empty. Even if they had a value, it'd be a single glyph, as those are accesskeys.
https://bugzilla.mozilla.org/attachment.cgi?id=361497&action=diff#releases/l10n-mozilla-1.9.1/ta-LK/toolkit/chrome/global/gnomeprintdialog.properties_sec1, I don't know what you do for accesskeys in general, you could sneak peak at what Japanese does, http://mxr.mozilla.org/l10n-central/source/ja/toolkit/chrome/global/gnomeprintdialog.properties?raw=1&ctype=.
https://bugzilla.mozilla.org/attachment.cgi?id=361497&action=diff#releases/l10n-mozilla-1.9.1/ta-LK/toolkit/chrome/global/keys.properties_sec1 probably only makes sense if there are real Tamil keyboards. Are there?
https://bugzilla.mozilla.org/attachment.cgi?id=361497&action=diff#releases/l10n-mozilla-1.9.1/ta-LK/toolkit/chrome/mozapps/extensions/blocklist.dtd_sec1 shouldn't translate width and height, those are part of a CSS size spec there.

I found a few nits in the browser part, too, but I can fix them when landing.

How would you like to proceed? Update the patch?
Comment 36 Sarves 2009-02-10 10:30:00 PST
Great help Axel. Many thanks..
 
> https://bugzilla.mozilla.org/attachment.cgi?id=361497&action=diff#releases/l10n-mozilla-1.9.1/ta-LK/dom/chrome/netError.dtd_sec2
> shows some partially translated phrases.

Yes we look into this.

> https://bugzilla.mozilla.org/attachment.cgi?id=361497&action=diff#releases/l10n-mozilla-1.9.1/ta-LK/toolkit/chrome/global/dialog.properties_sec1
> shows two new strings, which probably should stay empty. Even if they had a
> value, it'd be a single glyph, as those are accesskeys.
> https://bugzilla.mozilla.org/attachment.cgi?id=361497&action=diff#releases/l10n-mozilla-1.9.1/ta-LK/toolkit/chrome/global/gnomeprintdialog.properties_sec1,
> I don't know what you do for accesskeys in general, you could sneak peak at
> what Japanese does,
> http://mxr.mozilla.org/l10n-central/source/ja/toolkit/chrome/global/gnomeprintdialog.properties?raw=1&ctype=.
> https://bugzilla.mozilla.org/attachment.cgi?id=361497&action=diff#releases/l10n-mozilla-1.9.1/ta-LK/toolkit/chrome/global/keys.properties_sec1
> probably only makes sense if there are real Tamil keyboards. Are there?

Here we have Tamil keyboard, but its just introduced. Not many people familiar (not even heard) with that. And another thing is, Sri Lankan people are living in many countries (now many people are using our Firefox 3.0 addon). Therefore for them, it will be difficult to use Tamil access key. So we feel that Tamil access key wont do. (at least for few year)
The Japanese way of using access key sounds good and we will follow that.

> https://bugzilla.mozilla.org/attachment.cgi?id=361497&action=diff#releases/l10n-mozilla-1.9.1/ta-LK/toolkit/chrome/mozapps/extensions/blocklist.dtd_sec1
> shouldn't translate width and height, those are part of a CSS size spec there.
> 
> I found a few nits in the browser part, too, but I can fix them when landing.

Thanks Axel.
 
> How would you like to proceed? Update the patch?
Yep we will come up with an update soon by amending these points. 
Is there any other ways that we can proceed with? 

Thx,
Sarves
Comment 37 Sarves 2009-02-10 20:58:26 PST
Hello Axel,

We are working on the problems that you have pointed out. 

Please help us on following :

This is diff of what? I mean which two builds?

What do you really mean by "Update the patch?"? Can we apply a patch (may the one that you have attached - https://bugzilla.mozilla.org/attachment.cgi?id=361497) and solve the issues? 

Could you kindly elaborate it more? 

Also some of the error that you have pointed out under 'some partially translated phrases' looks ok in the attached file.

Thanks in advance,
Sarves
Comment 38 Rohana Dasanayaka 2009-02-12 01:19:50 PST
Created attachment 361966 [details]
ta-LK l10n sorce files for FF3.1

Axel,

We were successful in mail/toolkit but not in browser/toolkit. I prepare this set of files with the toolkit files which we submitted for TB3. Could you pl. look at this and give us a feed-back. Thanks.
Comment 39 Axel Hecht [:Pike] 2009-02-12 01:31:28 PST
I don't really get your question, sorry. There is only one toolkit for both browser and mail. You'll need to come up with one shared version of the code there. Does that help?
Comment 40 Rohana Dasanayaka 2009-02-12 01:52:31 PST
Sorry for bothering you. Looking at Comment #35, all most all problems are in toolkit files. (We are using same toolkit files but failed one is the latest translation.) Then I replaced our latest toolkit translation with bit old one. Now I want to get it clear whether this set of files is OK. If so, we can continue with it.

My compare-locale does not help me in this problem.
Comment 41 Zibi Braniecki [:gandalf][:zibi] 2009-02-19 07:26:12 PST
Hi Rohana. I took a first review round and first thing I'd like to notice is that you use BOM characters in your encoding.

I'm not sure what editor do you use, but please, switch BOM encoding to plain UTF-8.

Except of that you can remove directories we don't use anymore:
./browser/branding
./browser/os2
./browser/microsummary-generators
./browser/profile/win
./browser/profile/mac
./browser/profile/unix

Let me know when you have updated package, I'll take a closer look at how your toolkit fits. :)
Comment 42 Sarves 2009-02-19 08:14:20 PST
(In reply to comment #41)
> Hi Rohana. I took a first review round and first thing I'd like to notice is
> that you use BOM characters in your encoding.

Thanks Zbigniew Braniecki! As far as I know we removed BOM when we save. But... please let us go through again. 

> I'm not sure what editor do you use, but please, switch BOM encoding to plain
> UTF-8.
> 

We use Adobe Dreamwear to edit. Yes, we also realized that we need to use a basic text editor rather Dreamwear.  Could you recommend one to work on Windows?

> Except of that you can remove directories we don't use anymore:
> ./browser/branding
> ./browser/os2
> ./browser/microsummary-generators
> ./browser/profile/win
> ./browser/profile/mac
> ./browser/profile/unix
> 
 Oh ok!

> Let me know when you have updated package, I'll take a closer look at how your
> toolkit fits. :)

Sure. Hopefully in the early next week we can come up with fairly good pack with your comments.

~Sarves
Comment 43 Hùng. NGUYỄN Mạnh 2009-02-22 00:04:09 PST
Uhm, may I give out some encouragements here?
Sarves, keep up your work, it's not so hard. Our team finished the translation of FF 3.1 in just a short time :) 

I'm also a Windows user, so I highly recommend Notepad++ (it's also free and open source, just like Firefox ;)
Comment 44 Axel Hecht [:Pike] 2009-03-03 08:40:07 PST
Comment on attachment 361486 [details]
ta-LK l10n source files for Firefox 3.1

Cancelling the review request on the old attachment.
Comment 45 Rohana Dasanayaka 2009-03-05 01:41:21 PST
Created attachment 365629 [details]
BOM-removed browser files

Hi Zbigniew,

I am attaching BOM-removed files in the "browser" folder. I used a "perl" scripts for this. And also removed obsolete files which you mentioned above. The "toolkit" for ta-LK is already there so ta-LK success for both TB3 and Sunbird on the dashboard. Could you pl. look at this browser folder and help us to proceed. Thanks.
Comment 46 Zibi Braniecki [:gandalf][:zibi] 2009-03-05 01:51:14 PST
Comment on attachment 365629 [details]
BOM-removed browser files

adding to my queue
Comment 47 Zibi Braniecki [:gandalf][:zibi] 2009-03-13 12:24:25 PDT
Comment on attachment 365629 [details]
BOM-removed browser files

I still hit BOM file here:
ta-LK/browser/chrome/browser/aboutRobots.dtd

beside:

1) You should remove browser/profile/mac|unix|win
2) In browser/tabbrowser.dtd there are two entities missing:
*) openTabInNewWindow.label
*) openTabInNewWindow.accesskey
3) In browser/browser.dtd there is one entity missing:
*) newTabButton.tooltip
4) and in browser/browser.properties there is one entity missing:
*) droponnewtabbutton

with those changes in (please, make sure you wipe out BOM), you're good to get into the system! :)

So please, clear the BOM and attach updated package. Thanks!
Comment 48 Sarves 2009-03-13 17:07:57 PDT
Oh great! Many Thanks Zbigniew!

We will do that and submit asap.
Comment 49 Rohana Dasanayaka 2009-03-15 04:38:36 PDT
Created attachment 367467 [details]
Updated Browser files for ff31-taLK

Hi Zbigniew,

Thanks for your comments on our previous l10n files.

I am herewith attaching updated files (browser dir).

BOM removed form aboutRobots.dtd
Add missing strings to the files.
Already removed profile/Win|mac|unix files

could you pl look at this and help us to proceed, Thanks.
Comment 50 Rohana Dasanayaka 2009-03-23 21:23:01 PDT
Hi Zbigniew,

We know that you are busy but may I request from you to look at the above attachment. It will help us do the rest in time to land on Beta4. Thanks.
Comment 51 Sarves 2009-04-01 07:27:08 PDT
Created attachment 370418 [details]
ta-LK Firefox localization

Please give us ur feedback asap
Comment 52 Axel Hecht [:Pike] 2009-04-01 07:40:53 PDT
Who is supposed to review which attachment here? Is attachment 370418 [details] obsoleting attachment 367467 [details]?
Comment 53 Rohana Dasanayaka 2009-04-01 09:16:26 PDT
(In reply to comment #52)
> Who is supposed to review which attachment here? Is attachment 370418 [details]
> obsoleting attachment 367467 [details]?

I uploaded only browser files and requested review from Zbigniew as he reviewed the earlier pack. According to the discussion, Sarves had with me today morning, he updated ta-LK pack with latest string changes and uploaded a complete set of files. So, my idea here is, reviewing latest attachment (370418) will be more helpful. Thanks.
Comment 54 Axel Hecht [:Pike] 2009-04-01 09:18:35 PDT
Comment on attachment 367467 [details]
Updated Browser files for ff31-taLK

Thanks, marking this up as such.
Comment 55 Axel Hecht [:Pike] 2009-04-01 09:19:09 PDT
Comment on attachment 370418 [details]
ta-LK Firefox localization

Over to gandalf again :-)
Comment 56 Zibi Braniecki [:gandalf][:zibi] 2009-04-06 03:18:19 PDT
Comment on attachment 370418 [details]
ta-LK Firefox localization

this patch is great. It covers whole localization, congratulations!

Before commit, please fix the BOM endings.

          ERROR: ../silme/data/ta-LK/dom/chrome/xml/prettyprint.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/extensions/reporter/chrome/reportResults.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/extensions/reporter/chrome/reportWizard.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/toolkit/chrome/global/customizeToolbar.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/toolkit/chrome/global/editMenuOverlay.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/toolkit/chrome/global/findbar.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/toolkit/chrome/global/finddialog.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/toolkit/chrome/global/notification.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/toolkit/chrome/global/nsProgressDialog.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/toolkit/chrome/global/preferences.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/toolkit/chrome/global/printPageSetup.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/toolkit/chrome/global/printPreviewProgress.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/toolkit/chrome/global/printProgress.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/toolkit/chrome/global/printdialog.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/toolkit/chrome/global/printjoboptions.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/toolkit/chrome/global/textcontext.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/toolkit/chrome/global/tree.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
          ERROR: ../silme/data/ta-LK/toolkit/chrome/global/wizard.dtd: this File contains a Byte Order Mark (BOM)! Parsing file aborted! The information below may be incorrect...
Comment 57 Rohana Dasanayaka 2009-04-06 03:32:53 PDT
Thanks gandalf, we will look at it again and remove BOM before Commit.
Comment 58 Sarves 2009-04-06 03:43:53 PDT
Thanks Gandalf! 
by the way, can we commit this directly or Axel/you will do any pre-processing?
Comment 59 Rohana Dasanayaka 2009-04-06 04:23:13 PDT
Created attachment 371220 [details]
ta-LK l10n sorce files for FF3.1

Axel,

This is the pack of latest ta-LK ff3.1 files and we removed all BOM chars mentioned above. Could you pl. do the initial landing for us. Thanks.
Comment 60 Zibi Braniecki [:gandalf][:zibi] 2009-04-06 06:44:44 PDT
Commited on your behalf.

http://hg.mozilla.org/l10n-central/ta-LK/rev/54bb41e18a07

Congratulations!
Comment 61 Axel Hecht [:Pike] 2009-04-06 06:48:41 PDT
please hold the line, l10n drivers need to fix the bustage here.

l10n-central is soooo not what we need right now.
Comment 62 Sarves 2009-04-06 11:58:16 PDT
(In reply to comment #60)
> Commited on your behalf.
> > http://hg.mozilla.org/l10n-central/ta-LK/rev/54bb41e18a07
> > Congratulations!

Many Thanks Gandalf!
Comment 63 Sarves 2009-04-28 02:01:31 PDT
(In reply to comment #61)
> please hold the line, l10n drivers need to fix the bustage here.
> 
> l10n-central is soooo not what we need right now.

Please let us know how we can progress from this point.

Sarves
Comment 64 Axel Hecht [:Pike] 2009-05-14 07:55:10 PDT
Yes, sorry for the lag, two weeks of meetings and vacation.

Please clone ssh://hg.mozilla.org/releases/l10n-mozilla-1.9.1/ta-LK/ and use the files there to work towards 3.5.

http://l10n.mozilla.org/buildbot/compare/m-c%20linux%20repack/13207 shows your latest status, updates to that based on your landings will show in http://l10n.mozilla.org/dashboard/?locale=ta-LK

We're still expecting two or three landings to add the file that stas' talked about in .l10n. You didn't get the benefit of that landing, so you'll need to get those 5 strings in yourself, in addition to the other 7. Builds for testing should show up on http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla-1.9.1-l10n/ following a few minutes after your landings.
Comment 65 Rohana Dasanayaka 2009-05-14 21:02:56 PDT
OK, Thanks for the help. We will do the needful soon to make it available for 3.5
Comment 66 Axel Hecht [:Pike] 2010-04-08 10:26:13 PDT
This has been long fixed, resolving as such.

Note You need to log in before you can comment on or make changes to this bug.